<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SigGen: siggen::Data Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SigGen
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('structsiggen_1_1_data.html','');});
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structsiggen_1_1_data-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">siggen::Data Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>provides threading manager with necessary data to work with  
 <a href="structsiggen_1_1_data.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_data_8h_source.html">Data.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a1006e97814f7d32c8668575d56ba8bdf"><td class="memItemLeft" align="right" valign="top"><a id="a1006e97814f7d32c8668575d56ba8bdf"></a>
size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsiggen_1_1_data.html#a1006e97814f7d32c8668575d56ba8bdf">m_BlockSize</a> { 0 }</td></tr>
<tr class="memdesc:a1006e97814f7d32c8668575d56ba8bdf"><td class="mdescLeft">&#160;</td><td class="mdescRight">block size specified from options <br /></td></tr>
<tr class="separator:a1006e97814f7d32c8668575d56ba8bdf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72381ffd52528bf1d9e478a18a07f564"><td class="memItemLeft" align="right" valign="top"><a id="a72381ffd52528bf1d9e478a18a07f564"></a>
size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsiggen_1_1_data.html#a72381ffd52528bf1d9e478a18a07f564">m_InputFileSize</a> { 0 }</td></tr>
<tr class="memdesc:a72381ffd52528bf1d9e478a18a07f564"><td class="mdescLeft">&#160;</td><td class="mdescRight">file size in bytes <br /></td></tr>
<tr class="separator:a72381ffd52528bf1d9e478a18a07f564"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf8091edab7f24f7b6f725f6abbacc23"><td class="memItemLeft" align="right" valign="top"><a id="aaf8091edab7f24f7b6f725f6abbacc23"></a>
size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsiggen_1_1_data.html#aaf8091edab7f24f7b6f725f6abbacc23">m_InputBlockCount</a> { 0 }</td></tr>
<tr class="memdesc:aaf8091edab7f24f7b6f725f6abbacc23"><td class="mdescLeft">&#160;</td><td class="mdescRight">block count (number of generated signatures) <br /></td></tr>
<tr class="separator:aaf8091edab7f24f7b6f725f6abbacc23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10d14f9813765c6f31080355bad10dbd"><td class="memItemLeft" align="right" valign="top"><a id="a10d14f9813765c6f31080355bad10dbd"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsiggen_1_1_data.html#a10d14f9813765c6f31080355bad10dbd">m_ThreadCount</a> { 0 }</td></tr>
<tr class="memdesc:a10d14f9813765c6f31080355bad10dbd"><td class="mdescLeft">&#160;</td><td class="mdescRight">thread count <br /></td></tr>
<tr class="separator:a10d14f9813765c6f31080355bad10dbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09582db7e870dfdd031c9076338384cb"><td class="memItemLeft" align="right" valign="top"><a id="a09582db7e870dfdd031c9076338384cb"></a>
std::unique_ptr&lt; <a class="el" href="classsiggen_1_1_file.html">File</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsiggen_1_1_data.html#a09582db7e870dfdd031c9076338384cb">m_InputFile</a></td></tr>
<tr class="memdesc:a09582db7e870dfdd031c9076338384cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">input file (binary) <br /></td></tr>
<tr class="separator:a09582db7e870dfdd031c9076338384cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06a7600d0e0634bbb0275b81589fd5aa"><td class="memItemLeft" align="right" valign="top"><a id="a06a7600d0e0634bbb0275b81589fd5aa"></a>
std::unique_ptr&lt; <a class="el" href="structsiggen_1_1_hash_base.html">HashBase</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsiggen_1_1_data.html#a06a7600d0e0634bbb0275b81589fd5aa">m_Hash</a></td></tr>
<tr class="memdesc:a06a7600d0e0634bbb0275b81589fd5aa"><td class="mdescLeft">&#160;</td><td class="mdescRight">signature function <br /></td></tr>
<tr class="separator:a06a7600d0e0634bbb0275b81589fd5aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>provides threading manager with necessary data to work with </p>

<p class="definition">Definition at line <a class="el" href="_data_8h_source.html#l00012">12</a> of file <a class="el" href="_data_8h_source.html">Data.h</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/x/siggen/lib/include/<a class="el" href="_data_8h_source.html">Data.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>siggen</b></li><li class="navelem"><a class="el" href="structsiggen_1_1_data.html">Data</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.16 </li>
  </ul>
</div>
</body>
</html>
